%define upstream_name    IO-Async
%define upstream_version 0.30

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A Loop using an C<IO::Poll> object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/P/PE/PEVANS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Async::MergePoint)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Heap)
BuildRequires: perl(IO::Poll)
BuildRequires: perl(Socket::GetAddrInfo)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl-Test-Pod
BuildRequires: perl(Test::Refcount)
BuildRequires: perl-Test-Warn
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(Module::Build::Compat)
BuildRequires: perl-common-sense
BuildArch: noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}

%description
This collection of modules allows programs to be written that perform
asynchronous filehandle IO operations. A typical program using them would
consist of a single subclass of 'IO::Async::Loop' to act as a container o
other objects, which perform the actual IO work required by the program. As
as IO handles, the loop also supports timers and signal handlers, and
includes more higher-level functionallity built on top of these basic
parts.

Because there are a lot of classes in this collection, the following
overview gives a brief description of each.

File Handle IO
    A the IO::Async::Handle manpage object represents a single IO handle
    that is being managed. While in most cases it will represent a single
    filehandle, such as a socket (for example, an 'IO::Socket::INET'
    connection), it is possible to have separate reading and writing
    handles (most likely for a program's 'STDIN' and 'STDOUT' streams, or a
    pair of pipes connected to a child process).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Sep 22 2010 Götz Waschk <waschk@mandriva.org> 0.300.0-1mdv2011.0
+ Revision: 580486
- update to new version 0.30

* Sat Jul 10 2010 Götz Waschk <waschk@mandriva.org> 0.290.0-1mdv2011.0
+ Revision: 550489
- update build deps
- update to new version 0.29

* Thu Mar 11 2010 Götz Waschk <waschk@mandriva.org> 0.280.0-1mdv2010.1
+ Revision: 517948
- update to new version 0.28

* Fri Dec 25 2009 Götz Waschk <waschk@mandriva.org> 0.270.0-1mdv2010.1
+ Revision: 482200
- new version
- fix source URL

* Tue Nov 24 2009 Jérôme Quelin <jquelin@mandriva.org> 0.260.0-1mdv2010.1
+ Revision: 469442
- update to 0.26

* Fri Nov 06 2009 Götz Waschk <waschk@mandriva.org> 0.250.0-1mdv2010.1
+ Revision: 460843
- update to new version 0.25

* Fri Nov 06 2009 Götz Waschk <waschk@mandriva.org> 0.240.0-1mdv2010.1
+ Revision: 460829
- update build deps
- update to new version 0.24

* Thu Aug 20 2009 Jérôme Quelin <jquelin@mandriva.org> 0.230.0-1mdv2010.0
+ Revision: 418632
- update to 0.23

* Fri Jul 24 2009 Jérôme Quelin <jquelin@mandriva.org> 0.220.0-1mdv2010.0
+ Revision: 399268
- update to 0.22

* Mon Jun 29 2009 Götz Waschk <waschk@mandriva.org> 0.210.0-1mdv2010.0
+ Revision: 390518
- import perl-IO-Async


* Mon Jun 29 2009 cpan2dist 0.21-1mdv
- initial mdv release, generated with cpan2dist

